use crate::drawableVec::DrawableVec;

mod radixSort;
mod insertSort;
mod bubbleSort;
mod binaryHeap;
mod coctailShaker;
mod quickSort;
mod bogoSort;
mod radixSortLSD;
use color_eyre::{eyre::Ok, Result};




pub async fn sort(algo: String, list: &mut DrawableVec) -> Result<()> {
    match algo.as_str() {
            "insertSort" => insertSort::sort(list).await?,
            "bubbleSort" => bubbleSort::sort(list).await?,
            "bogoSort" => bogoSort::sort(list).await?,
            "cocktailShaker" => coctailShaker::sort(list).await?,
            "binaryHeap" => binaryHeap::sort(list).await?,
            "quickSort" => quickSort::sort(list).await?,
            "radixSortMSD" => radixSort::sort(list).await?,
            "radixSortLSD" => radixSortLSD::sort(list).await?,
            _ => panic!("No algorithm with that name implemented!")
    }
    Ok(())
}