use color_eyre::Result;
use drawableVec::DrawableVec;
use rand::{thread_rng, Rng};
use ratatui::{
    crossterm::event::{self, Event, KeyCode, KeyEventKind},
    layout::{Constraint, Direction, Layout},
    style::{Color, Style, Stylize},
    text::Line,
    widgets::{Bar, BarChart, BarGroup, Block},
    DefaultTerminal, Frame,
};
use tui::Tui;

mod graphics;
mod drawableVec;

mod algorithm;
mod tui;


#[tokio::main]
async fn main() -> Result<()> {
    color_eyre::install()?;
    let mut binding = Tui::new()?;
    binding.run().await?;
    
    ratatui::restore();
    Ok(())
}




